[v-cloak] {
  display: none;
}


.kc-none {
  text-align: center;
  margin: 50px auto;
}

.kc-spinner {
  padding: 50px 0;
}

.kc-l-c {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

/* API以外のcss */
@media screen and (max-width: 768px) {}

/* hover */
.kc-link:hover .kc-image img {
  opacity: 0.7;
}

/* hover */

/* 終了イベント */
.kc-card.endDateTime .kc-image::before {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  content: "終了しました";
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  font-size: 22px;
  background-color: rgba(0, 0, 0, 0.3);
  color: #fff;
  z-index: 2;
}

/* 終了イベント */

/* swiper */
#kcapp .kc-swiper {
  position: relative;
  overflow: hidden;
}

#kcapp .kc-swiper.swiper_none {
  width: 100%;
  margin: 0;
}

#kcapp .swiper-wrapper {
  flex-wrap: nowrap;
  height: auto;
}

#kcapp .kc-swiper.swiper_none .swiper-wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 4em 3%;
}

#kcapp .kc-swiper.swiper_none .swiper-slide {
  height: auto;
  margin-right: 0 !important;
}

#kcapp .kc-swiper .swiper-slide {
  margin-right: 30px !important;
}

@media screen and (max-width: 1100px) {
  #kcapp .kc-swiper.swiper_none .swiper-wrapper {
    grid-template-columns: repeat(2, 1fr);
  }
}


/* topページ */

.kc-cards {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 4em;
}

.kc-card {
  list-style: none;
}

.kc-link {
  color: #333;
}

.kc-image {
  position: relative;
}


.kc-image img {
  aspect-ratio: 4/3;
  object-fit: cover;
  width: 100%;
  height: auto;
  transition: opacity 0.3s;
}

.kc-info {
  display: flex;
  flex-direction: column;
  padding-top: 4%;
}



.kc-tags {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: .4em;
}

.kc-type,
.kc-format {
  font-size: 12px;
  line-height: 1;
  padding: .4em .8em;
  color: #fff;
  border: 1px solid #333;
}

.kc-type {
  background-color: #333;
}

.kc-format {
  color: #333;
}


.kc-name {
  font-size: 16px;
  font-weight: bold;
  line-height: 1.6;
  margin: .6em 0;
}

.kc-date-box,
.kc-address-box {
  display: flex;
  gap: .2em;
}

.kc-date-text,
.kc-address-text {
  font-weight: 600;
  white-space: nowrap;
}

.kc-date,
.kc-address,
.kc-date-text,
.kc-address-text {
  font-size: 14px;
  line-height: 1.8;
}

@media screen and (max-width: 767px) {
  .kc-card {
    width: 100%;
  }
}


/* allページ */
.kc-cards.-all {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 4em 6%;
  margin-bottom: 10em;
}


@media screen and (max-width: 767px) {
  .kc-cards.-all {
    grid-template-columns: repeat(1, 1fr);
  }
}